#
# SPEC file for the hexed hex editor
#
# 05/23/98, Ullrich von Bassewitz (uz@ibb.schwaben.com)
#

Summary: Small menu driven DOSish hex editor
Name: hexed
Version: 1.2
Release: 1
Copyright: BSD like
Group: Utilities/File
Source: ftp://ftp.gwdg.de/pub/misc/hexed/hexed-1.2.tar.gz
Vendor: MU Softwareentwicklung
Packager: uz@musoftware.com
ExclusiveArch: i386
ExclusiveOS: Linux

%description
A small menu driven hex editor. Runs under X or the linux console.
Features multiple windows, automatic backups, searching, editing
in different modes (ASCII, Hex, Readonly).

%prep
%setup

%build
cd spunk
make -f make/linux.mak depend
make -f make/linux.mak lib
cd ../hexed
make -f make/linux.mak depend
make -f make/linux.mak
cd ..

%install
umask 022
cd hexed
strip hexed
install -o root -g root -m 755 hexed /usr/bin
install -o root -g root -m 644 hexed.res /usr/bin
ln -sf /usr/bin/hexed /usr/bin/xhexed
gzip -c9 hexed.1 > /usr/man/man1/hexed.1.gz
ln -sf /usr/man/man1/hexed.1.gz /usr/man/man1/xhexed.1.gz

%files
%doc hexed/ann4.txt
%doc hexed/hexed.doc
%doc hexed/compile.doc
%doc hexed/install.doc
/usr/bin/hexed
/usr/bin/hexed.res
/usr/bin/xhexed
/usr/man/man1/hexed.1.gz
/usr/man/man1/xhexed.1.gz



